body, html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    box-sizing: border-box;
    background-color: #181a1b;
    overflow-x: hidden;
    scroll-behavior: smooth;
    font-family: 'TT_Prosto_Sans_Trial_Light', sans-serif;
    transition: padding-top 0.3s;
}

.news{
    height: 100%;
}

.news-container {
    display: flex;
    justify-content: center; 
    margin: 20px 0; 
}

.news > :first-child {
    padding-top: 90px;
}

.news-box {
    width: 50%;
    height: auto; 
    border-radius: 8px; 
    background-color: #003d30;
    padding: 15px; 
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.2s ease, box-shadow 0.2s ease; 
}

.news-title {
    font-size: 20px;
    font-weight: bold;
    text-align: left;
    margin: 0; 
    color: #ffffff; 
    line-height: 1.4; 
}

.news-box p{
    color: #ebebeb;
    margin: 10px 0;
}

.masonry-gallery1{
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    height: 100%;
}
.masonry-gallery1 p{
    margin-top: 0;
}

.center{
    text-align: center;
}

.masonry-gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr)); /* Minimalna širina slike */
    grid-auto-rows: 300px; /* Povećana osnovna visina redova */
    gap: 10px; /* Razmak između slika */
    padding: 10px;
    max-width: 80%;
    margin: 0 auto;
}

.gallery-item {
    position: relative;
    overflow: hidden;
    border-radius: 5px; /* Dodato za blago zaobljene uglove */
}

.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Slika popunjava okvir uz minimalno sečenje */
    display: block;
    transition: transform 0.3s ease;
    cursor: pointer;
}

.gallery-item:hover img {
    transform: scale(1.05); /* Slight zoom effect */
}

/* Lightbox */
.lightbox {
    display: none; /* Pokazaćemo lightbox kada je aktivan */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.lightbox .close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 40px;
    color: white;
    cursor: pointer;
}

.lightbox-image-wrapper {
    position: relative;
}

.lightbox-image {
    width: auto;
    height: auto;
    max-width: 90%;
    max-height: 80%;
    display: block;
    margin: 0 auto;
}

.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 40px;
    color: white;
    background: #003d30;
    border: none;
    padding: 10px;
    cursor: pointer;
    z-index: 2;
    border-radius: 10px;
}

.prev {
    left: 25%; /* Strelica levo */
}

.next {
    right: 25%; /* Strelica desno */
}

.prev:hover, .next:hover {
    background: #002820;
    transition: background 0.2s ease-in-out;
}

.prev:not(:hover), .next:not(:hover) {
    transition: background 0.2s ease-in-out;
}

@media (max-width: 600px) {
    .news-box {
        width: 90%; 
        padding: 10px; 
        height: auto;
    }

    .news-title {
        font-size: 16px; 
    }

    .news-box p{
        font-size: 14px;
    }

    .masonry-gallery {
        grid-template-columns: repeat(auto-fill, minmax(150px, 2fr));
        grid-auto-rows: 150px;
        padding: 10px;
        max-width: 100%;
        margin: 0 auto;
    }

    #br1{
        display: none;
    }
    .prev {
        left: 5%; /* Strelica levo */
    }
    
    .next {
        right: 5%; /* Strelica desno */
    }
}

@media (min-width: 601px) and (max-width: 1000px) {
    .news-box {
        width: 80%; 
        padding: 10px; 
        height: auto;
    }

    .news-title {
        font-size: 16px; 
    }

    .news-box p{
        font-size: 14px;
    }

    .see-more {
        font-size: 16px;
        padding: 8px 14px;
        width: 100%;
    }

    .masonry-gallery {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 2fr));
        grid-auto-rows: 200px;
        padding: 10px;
        max-width: 100%;
        margin: 0 auto;
        gap: 10px; /* Razmak između slika */
    }
    .prev {
        left: 5%; /* Strelica levo */
    }
    
    .next {
        right: 5%; /* Strelica desno */
    }
}